<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

if (!defined('NICKELBOX')) {
    die("Direct access denied.");
}

$cart = [];

if (!empty($_SESSION['cart'])) {
    $cart = $_SESSION['cart'];
}

?>

<div class="container mt-4">
    <h1 class="display-4">Cart</h1>

    <div class="list-group list-group-flush">
        <?php
        if (count($cart) > 0) {
            foreach ($cart as $i => $qty) {
                echo RenderItem::cart(new Item($i), $qty);
            }
        } else {
            ?>
            <p>The cart is empty.</p>
            <?php
        }
        ?>
    </div>
</div>